Package com.emc.documentum.rest.dfc

# Interface UserManager

public interface UserManager
The user manager.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserObject`
  `createUser(UserObject user)`
  Create a user
  `UserObject`
  `currentUser(AttributeView attributeView)`
  Get current login user.
  `void`
  `deleteUser(String userName)`
  Delete a user
  `UserObject`
  `get(String userName, AttributeView attributeView)`
  Get a user by its user name.
  `PermissionSetObject`
  `getPermissionSet(String userName)`
  Get a user's associated permission set
  `UserObject`
  `updateUser(String userName, UserObject userObject)`
  Update a user

- ## Method Details

  - ### get

    UserObject get(String userName, AttributeView attributeView) throws com.documentum.fc.common.DfException
    Get a user by its user name.
    Parameters:
      `userName` - the user name
      `attributeView` - the attribute view on the result
    Returns:
      the user
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### currentUser

    UserObject currentUser(AttributeView attributeView) throws com.documentum.fc.common.DfException
    Get current login user.
    Parameters:
      `attributeView` - the attribute view on the result.
    Returns:
      the user
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### createUser

    UserObject createUser(UserObject user) throws com.documentum.fc.common.DfException
    Create a user
    Parameters:
      `user` - the userObject to be created.
    Returns:
      the user
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### updateUser

    UserObject updateUser(String userName, UserObject userObject) throws com.documentum.fc.common.DfException
    Update a user
    Parameters:
      `userName` - the user name to be updated.
      `userObject` - the object takes the properties to be updated.
    Returns:
      the user
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### deleteUser

    void deleteUser(String userName) throws com.documentum.fc.common.DfException
    Delete a user
    Parameters:
      `userName` - the user name to be deleted.
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation

  - ### getPermissionSet

    PermissionSetObject getPermissionSet(String userName) throws com.documentum.fc.common.DfException
    Get a user's associated permission set
    Parameters:
      `userName` - the user name
    Returns:
      the permission set
    Throws:
      `com.documentum.fc.common.DfException` - exception during the operation